needUpdate {nlme} | R Documentation

## Check if Update is Needed

### Description

This function is generic; method functions can be written to handle specific classes of objects. By default, it tries to extract a `needUpdate` attribute of `object`. If this is `NULL` or `FALSE` it returns `FALSE`; else it returns `TRUE`. Updating of objects usually takes place in iterative algorithms in which auxiliary quantities associated with the object, and not being optimized over, may change.

### Usage

    needUpdate(object)

### Arguments

`object` | any object

### Value

a logical value indicating whether `object` needs to be updated.

### Author(s)

Jose Pinheiro and Douglas Bates bates@stat.wisc.edu

### See Also

`needUpdate.modelStruct`

### Examples

    vf1 <- varExp()
    vf1 <- Initialize(vf1, data = Orthodont)
    needUpdate(vf1)

[Package nlme version 3.1-105 Index]